Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.servlet.mvc.method.annotation
Class ViewMethodReturnValueHandler

    java.lang.Object
      org.springframework.web.servlet.mvc.method.annotation.ViewMethodReturnValueHandler

All Implemented Interfaces:
  HandlerMethodReturnValueHandler

    public class ViewMethodReturnValueHandler

extends Object
implements HandlerMethodReturnValueHandler

Handles return values that are of type `View`.

A `null` return value is left as-is leaving it to the configured `RequestToViewNameTranslator` to select a view name by convention.

A `View` return type has a set purpose. Therefore this handler should be configured ahead of handlers that support any return value type annotated with `@ModelAttribute` or `@ResponseBody` to ensure they don't take over.

Since:
  3.1
Author:
  Rossen Stoyanchev

Constructor Summary
`ViewMethodReturnValueHandler()`

Method Summary
`void` | `handleReturnValue(Object returnValue, MethodParameter returnType, ModelAndViewContainer mavContainer, NativeWebRequest webRequest)` Handle the given return value by adding attributes to the model and setting a view or setting the `ModelAndViewContainer.setRequestHandled(boolean)` flag to `true` to indicate the response has been handled directly.
`boolean` | `supportsReturnType(MethodParameter returnType)` Whether the given method return type is supported by this handler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewMethodReturnValueHandler

    public ViewMethodReturnValueHandler()

Method Detail

### supportsReturnType

    public boolean supportsReturnType(MethodParameter returnType)

  Description copied from interface: `HandlerMethodReturnValueHandler`
  Whether the given method return type is supported by this handler.

  Specified by:
    `supportsReturnType` in interface `HandlerMethodReturnValueHandler`
  Parameters:
    `returnType` - the method return type to check
  Returns:
    `true` if this handler supports the supplied return type; `false` otherwise

### handleReturnValue

    public void handleReturnValue(Object returnValue,
                                  MethodParameter returnType,
                                  ModelAndViewContainer mavContainer,
                                  NativeWebRequest webRequest)
                           throws Exception

  Description copied from interface: `HandlerMethodReturnValueHandler`
  Handle the given return value by adding attributes to the model and setting a view or setting the `ModelAndViewContainer.setRequestHandled(boolean)` flag to `true` to indicate the response has been handled directly.

  Specified by:
    `handleReturnValue` in interface `HandlerMethodReturnValueHandler`
  Parameters:
    `returnValue` - the value returned from the handler method
    `returnType` - the type of the return value. This type must have previously been passed to `HandlerMethodReturnValueHandler.supportsReturnType(org.springframework.core.MethodParameter)` and it must have returned `true`
    `mavContainer` - the ModelAndViewContainer for the current request
    `webRequest` - the current request
  Throws:
    `Exception` - if the return value handling results in an error

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD